<template>
  <div>
    <el-dialog
        title="登录"
        :visible.sync="open"
        width="400px"
        :close-on-click-modal="false"
        :close-on-press-escape="false"
        :show-close="false"
        :center="true"
        :destroy-on-close="true"
        >
      <el-form ref="loginForm" :rules="loginFormRule" :model="loginForm" size="medium" :inline-message="true" style="width: 100%">
        <el-form-item prop="username">
          <el-input
              placeholder="账号"
              v-model="loginForm.username">
              <i slot="prefix" class="el-input__icon el-icon-user"></i>
          </el-input>
        </el-form-item>
        <el-form-item prop="pwd">
          <el-input
              placeholder="密码"
              show-password
              v-model="loginForm.pwd">
            <i slot="prefix" class="el-input__icon el-icon-lock"></i>
          </el-input>
        </el-form-item>
      </el-form>
      <span slot="footer" class="dialog-footer">
          <el-button type="primary" @click="open = false" style="width: 100%;" size="medium">登录</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "LoginView",
  data() {
    return {
      open: false,
      loginForm: {
        username: '',
        pwd: ''
      },
      loginFormRule: {
        username: [
          { required: true, message: '请输入登录账号', trigger: 'blur' },
        ],
        pwd: [
          { required: true, message: '请输入登录密码', trigger: 'blur' },
        ]
      }
    }
  },
  methods: {

  }
}
</script>

<style scoped>

</style>
